# Learning

The easy way to use Machine Learning Kit in Flutter.

## Getting Started

Add dependency to your flutter project:

```
$ flutter pub add learning
```

or

```yaml
dependencies:
  learning: ^0.0.4
```

Then run `flutter pub get`.

**Optimization**

For best performance (and to minimize application size), it's better to add dependency directly from each of sub-package you want to use in your application. 

## Usage

Learning consists of 13 different sub-packages that we can add separately based on our application needs. Please reference to each link below to learn more about the usage of each learning package.
<br><br>
<table>
  <tr>
    <th>Vision</th>
    <th>Status</th>
    <th>Version</th>
    <th>Links</td>
    <th>Example</th>
  </tr>
  <tr>
    <td><code>learning_text_recognition</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      <a href="https://pub.dev/packages/learning_text_recognition">https://pub.dev/packages/learning_text_recognition</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_text_recognition">https://github.com/salkuadrat/learning/tree/master/packages/learning_text_recognition</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/text_recognition.apk">text_recognition.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_face_detection</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      <a href="https://pub.dev/packages/learning_face_detection">https://pub.dev/packages/learning_face_detection</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_face_detection">https://github.com/salkuadrat/learning/tree/master/packages/learning_face_detection</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/face_detection.apk">face_detection.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_pose_detection</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      <a href="https://pub.dev/packages/learning_pose_detection">https://pub.dev/packages/learning_pose_detection</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_pose_detection">https://github.com/salkuadrat/learning/tree/master/packages/learning_pose_detection</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/pose_detection.apk">pose_detection.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_selfie_segmentation</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      <a href="https://pub.dev/packages/learning_selfie_segmentation">https://pub.dev/packages/learning_selfie_segmentation</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_selfie_segmentation">https://github.com/salkuadrat/learning/tree/master/packages/learning_selfie_segmentation</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/selfie_segmentation.apk">selfie_segmentation.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_image_labeling</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      <a href="https://pub.dev/packages/learning_image_labeling">https://pub.dev/packages/learning_image_labeling</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_image_labeling">https://github.com/salkuadrat/learning/tree/master/packages/learning_image_labeling</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/image_labeling.apk">image_labeling.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_barcode_scanning</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      <a href="https://pub.dev/packages/learning_barcode_scanning">https://pub.dev/packages/learning_barcode_scanning</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_barcode_scanning">https://github.com/salkuadrat/learning/tree/master/packages/learning_barcode_scanning</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/barcode_scanning.apk">barcode_scanning.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_object_detection</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      <a href="https://pub.dev/packages/learning_object_detection">https://pub.dev/packages/learning_object_detection</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_object_detection">https://github.com/salkuadrat/learning/tree/master/packages/learning_object_detection</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/object_detection.apk">object_detection.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_digital_ink_recognition</code></td>
    <td>Published</td>
    <td>^0.0.1</td>
    <td>
      <a href="https://pub.dev/packages/learning_digital_ink_recognition">https://pub.dev/packages/learning_digital_ink_recognition</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_digital_ink_recognition">https://github.com/salkuadrat/learning/tree/master/packages/learning_digital_ink_recognition</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/digital_ink_recognition.apk">digital_ink_recognition.apk</a>
    </td>
  </tr>
</table>
<br>
<table>
  <tr>
    <th>NLP</th>
    <th>Status</th>
    <th>Version</th>
    <th>Links</th>
    <th>Example</th>
  </tr>
  <tr>
    <td><code>learning_language</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      <a href="https://pub.dev/packages/learning_language">https://pub.dev/packages/learning_language</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_language">https://github.com/salkuadrat/learning/tree/master/packages/learning_language</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/language.apk">language.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_translate</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      <a href="https://pub.dev/packages/learning_translate">https://pub.dev/packages/learning_translate</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_translate">https://github.com/salkuadrat/learning/tree/master/packages/learning_translate</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/translate.apk">translate.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_entity_extraction</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      <a href="https://pub.dev/packages/learning_entity_extraction">https://pub.dev/packages/learning_entity_extraction</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_entity_extraction">https://github.com/salkuadrat/learning/tree/master/packages/learning_entity_extraction</a>
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/entity_extraction.apk">entity_extraction.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_smart_reply</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      <a href="https://pub.dev/packages/learning_smart_reply">https://pub.dev/packages/learning_smart_reply</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_smart_reply">https://github.com/salkuadrat/learning/tree/master/packages/learning_smart_reply</a>
    </td>
    <td></td>
  </tr>
</table>
<br>
<table>
  <tr>
    <th>Helper</th>
    <th>Status</th>
    <th>Version</th>
    <th>Links</td>
  </tr>
  <tr>
    <td><code>learning_input_image</code></td>
    <td><b>Published</b></td>
    <td>^0.0.5</td>
    <td>
      <a href="https://pub.dev/packages/learning_input_image">https://pub.dev/packages/learning_input_image</a><br>
      <a href="https://github.com/salkuadrat/learning/tree/master/packages/learning_input_image">https://github.com/salkuadrat/learning/tree/master/packages/learning_input_image</a>
    </td>
  </tr>
</table>

## Example Project

You can learn more from example project [here](example). Also, you can learn the code while running the example application on device: [learning.apk](https://drive.google.com/file/d/1xn5yYZ2NIGt2VYszCeTAgqTfeMySQsc9/view?usp=sharing).
